{% from 'common/components/footer/macro.njk' import footer %}
{% from 'components/header/macro.njk' import header %}
{% from 'common/components/skip-link/macro.njk' import skipLink %}
<html lang="en">
  <head>
    <title>
      {% block pageTitle %}{% endblock %}
    </title>
    {% block headIcons %}
      <link rel="shortcut icon" href="{{ assetPath | default('/assets') }}/favicons/favicon.ico" type="image/x-icon">
      <link rel="apple-touch-icon" href="{{ assetPath | default('/assets') }}/favicons/apple-touch-icon-180x180.png">
      <link rel="mask-icon" href="{{ assetPath | default('/assets') }}/favicons/favicon.svg" color="#005eb8">
      <link rel="icon" sizes="192x192" href="{{ assetPath | default('/assets') }}/favicons/favicon-192x192.png">
      <meta name="msapplication-TileImage" content="{{ assetPath | default('/assets') }}/favicons/mediumtile-144x144.png">
      <meta name="msapplication-TileColor" content="#005eb8">
      <meta name="msapplication-square70x70logo" content="{{ assetPath | default('/assets') }}/favicons/smalltile-70x70.png">
      <meta name="msapplication-square150x150logo" content="{{ assetPath | default('/assets') }}/favicons/mediumtile-150x150.png">
      <meta name="msapplication-wide310x150logo" content="{{ assetPath | default('/assets') }}/favicons/widetile-310x150.png">
      <meta name="msapplication-square310x310logo" content="{{ assetPath | default('/assets') }}/favicons/largetile-310x310.png">
    {% endblock %}
    {% block head %}
      {% include "common/templates/includes/head.njk" %}
    {% endblock %}
  </head>
  <body>
    {{ skipLink({
          "href": "#maincontent",
          "text": "common.link.skip",
          "locale": locale
        }) }}
    {% block header %}
      {{
        header({
            "ariaLabel": "NHS Vaccine Damage Payment Scheme",
            "service": {
                "name":"Vaccine Damage Payment Scheme",

                "href":"/"
            }
        })
    }}
    {% endblock %}

    <div class="nhsuk-width-container">
      {% block backButton %}{% endblock %}
      {% if errors %}
        <div class="nhsuk-error-summary nhsuk-u-margin-top-4" role="alertdialog" tabindex="-1">
          <h2 class="nhsuk-error-summary__title" id="error-summary-title">
            {{ __({phrase: 'common.errors.heading', locale: locale }) }}
          </h2>
          <div class="nhsuk-error-summary__body">
            <ul class="nhsuk-list nhsuk-error-summary__list">
              {% for error in errors %}
                <li class="error-msg" data-attr="{{error.param}}">
                  <a href=#{{error.param}}>
                    {{ __({phrase: error.msg, locale: locale }) }}
                  </a>
                </li>
              {% endfor %}
            </ul>
          </div>
        </div>
      {% endif %}
      <div class="nhsuk-grid-row ">
        <div class="nhsuk-grid-column-full ">
          <header class="page-header">
            <span class="heading-secondary">
              {% block heading %}{% endblock %}
            </span>
            <span class="nhsuk-heading-l govuk-heading-l">
              {% block subHeading %}{% endblock %}
            </span>
          </header>
          <div id='maincontent'>
            {% block content %}{% endblock %}
          </div>
        </div>
      </div>
    </div>

    {% block footer %}
      {{
    footer({
      meta: {
        html: 'VDPS 2022'
      },
      "links": [
          {
            "URL": "https://www.nhsbsa.nhs.uk/accessibility-statement-vaccine-damages-payment-scheme",
            "label": "Accessibility statement",
            "target": "_blank"
          },
          {
            "URL": "https://www.nhsbsa.nhs.uk/what-we-do/vaccine-damage-payment-scheme-vdps",
            "label": "Contact us",
            "target": "_blank"
          },
          {
            "URL": "https://www.nhsbsa.nhs.uk/our-policies/cookies",
            "label": "Cookies",
            "target": "_blank"
          },
          {
            "URL": "https://www.nhsbsa.nhs.uk/our-policies/privacy/vaccine-damage-payment-scheme-privacy-notice",
            "label": "Privacy policy",
            "target": "_blank"
          }
        ]
    })
  }}
    {% endblock %}

    {% block bodyEnd %}
      {% include "common/templates/includes/scripts.njk" %}
    {% endblock %}
  </body>
</html>